/**
 * 信鸽推送
 */

//获取登陆信息
var loginId = "";
var temp = getLocVal("loginInfo");
if(temp){
	var jsonStr = JSON.parse(temp);
	loginId = jsonStr.loginId;
}


var XG = {
	/**
	 *  初始化环境
	 */
	Init:function(ACCESS_ID,ACCESS_KEY){
		if(loginId == ""){
			uexXG.InitXgPush(ACCESS_ID,ACCESS_KEY);
		}else{
			uexXG.InitXgUserPush(ACCESS_ID,ACCESS_KEY,loginId);
		}
		//alert("信鸽推送注册成功");
		uexXG.cbXgPush = function (opCode, dataType, data) {
	    	//var jsonStr = data.json;
	    	var jdata = data.replace(/json/,'"json"');
	    	jdata = JSON.parse(jdata);
	    	//alert("推送信息:"+jdata+","+ jdata.json.type+","+jdata.json.id);
	    	//alert(device.type+","+device.id);
	    	if(jdata.json.pushType == 1){//新闻
	    	    doConnectToServerForNewsClient("getNewsForPush", jdata.json.id, processPushNewsById);
	    	}else if(jdata.json.pushType == 3){//活动
	    	    openHD(jdata.json.id);
	    	}else if(jdata.json.pushType == 2){//服务
	    	    openFW(jdata.json.id);
	    	}
		}
	}
}

/**
 *  处理新闻数据，跳到新闻详细页面
 * @param {Object} json
 */
function processPushNewsById(json){
    var len = json.list.length;
    if(len > 0){
         setLocVal("viewNewsId" , json.list[0].id);
         setLocVal("viewNewsType" , json.list[0].type);
         setLocVal("newsReplays" , json.list[0].replys);
         setLocVal("newsTitle",json.list[0].title);
         setLocVal("newsIntro",json.list[0].intro);
         setLocVal("thumImgPath",json.list[0].imgpath1);
         //图集
         var type = json.list[0].type;
         if(type == 2){
            uexWindow.open("tujiWin",0,"../news-client/picNewsDetail/picNewsDetail.html",2,"","",0);    
         }else{
            uexWindow.open("newsDetail",0,"../news-client/news_detail/news_detail.html",2,"","",0); 
         }
    }
}

//打开活动
function openHD(id){
    setLocVal("activityId", id);
    openNewWin("activityDesc", "../activity_desc/activity_desc.html", 2, 0);
}

//打开服务
function openFW(id){
    setLocVal("serviceId", id);
    openNewWin("serviceDesc", "../service_desc/service_desc.html", 2, 0);
}
