/**
 *  加载菜单数据
 */
var titlemax = 0;   //记录栏目的总数
var NewsTitle  = {
	init:function(){
		var params = areaId + ",0";
		doConnectToServerForNewsClient("getTitleAppcolumns",params,this.processTitle);
	},
	processTitle:function(json){
		var html = "";
		var tempFirstHtml = '<div class="tx-c uinn-hnfn1 ulev-app1 title-height fontcolor titleChecked"  isFirst="yes" style="-webkit-transform:translate3d(0px,0,0) " index=${index} tp="${newstype}" hasSub="${hasSub}" titleId="${titleId}"><div index=${index} tp="${newstype}" hasSub="${hasSub}" titleId="${titleId}" class="title-margin">${name}</div></div>';
		var tempSecendHtml = '<div class="tx-c uinn-hnfn1 ulev-app1 title-height fontcolor"  isFirst="yes" style="-webkit-transform:translate3d(0px,0,0) " index=${index} tp="${newstype}" hasSub="${hasSub}" titleId="${titleId}"><div index=${index} tp="${newstype}" hasSub="${hasSub}" titleId="${titleId}" class="title-margin">${name}</div></div>';
		var length = json.list.length;
		if(length != 0){
			setstorage("titleColumns",json2str(json));
			for(var i = 0;i<length;i++){
				if(i == 0){
					//第一次加载数据使用
					var newsType = json.list[i].type;
					var hassub = json.list[i].hassub;
					var titleId = json.list[i].id;
					setstorage("titleType",newsType);
					setstorage("titleHasSubMenu",hassub);
					setstorage("titleId",titleId);
					html += tempFirstHtml.replace(/\${name}/g,json.list[i].name).replace(/\${index}/g,i).replace(/\${titleId}/g,json.list[i].id).replace(/\${newstype}/g,json.list[i].type).replace(/\${hasSub}/g,json.list[i].hassub);
				}else{
					html += tempSecendHtml.replace(/\${name}/g,json.list[i].name).replace(/\${index}/g,i).replace(/\${titleId}/g,json.list[i].id).replace(/\${newstype}/g,json.list[i].type).replace(/\${hasSub}/g,json.list[i].hassub);
				}
			}
		}
		//保存标题内容
		setstorage("titleHtml",html);
		setstorage("titleTotalLength",length);
		titlemax = length;
		
		$$("subTitle").innerHTML = html;
		//20150210注释
		//zy_con("content", "../index_content/index_content_20141119.html", 0, $$("header").offsetHeight);
		sliderTitle();
//		$$("subTitleDiv").style.display = "none";
//		$$("subTitleDiv").className = "";
		
		zy_con("content", "../index_content/index_content_20141119.html", 0, $$("header").offsetHeight);
	}
}

//标题总长度
var totalWidth = 0;
/**
 *  绑定触摸事件
 */
function sliderTitle(){
	totalWidth = 0;
	var titleList = document.querySelectorAll(".fontcolor");
//	console.log(titleList.length);
	for(var k = 0;k<titleList.length;k++){
//		console.log("第" + k + "个div宽度:" +titleList[k].offsetWidth);
		totalWidth += titleList[k].offsetWidth;
	}
//	console.log("totalWidth:" + totalWidth);
	totalWidth-=$$("subTitle").offsetWidth;
	console.log("屏幕宽度:" + $$("subTitle").offsetWidth +"        可以移动的距离:" + totalWidth);
    
	
	
	var outer = $$("subTitle");
	outer.addEventListener('touchstart', startHandler);
	outer.addEventListener('touchmove', moveHandler);
	outer.addEventListener('touchend', endHandler);
	
	//模拟器测试使用
	//bindClick();
}


var startPageX = 0;//触摸开始时的X坐标
//上一次移动的距离
var lastMove = 0;   //触摸结束后记录移动了多少距离
//当前移动的距离
var moveX = 0;      //不停的累加本次移动的距离

//当前移动的距离
var currentMoveX = 0;

//总长度

/**
 *  触摸开始事件
 * @param {Object} evt
 */
function startHandler(evt){
	evt.preventDefault();
	currentMoveX = 0;
    startPageX = evt.touches[0].pageX;
}

function moveHandler(evt){
	evt.preventDefault();
	
	currentMoveX = evt.touches[0].pageX - startPageX;
	
	moveX = lastMove + (evt.touches[0].pageX - startPageX);
	
	if(moveX >=0){
		moveX = 0;
		$$("shadow1").style.visibility = "hidden";
		$$("shadow2").style.visibility = "visible";
	}
	else if(Math.abs(moveX) >= totalWidth){
		moveX = -totalWidth;
		$$("shadow1").style.visibility = "visible";
        $$("shadow2").style.visibility = "hidden";
	}
	else{
        $$("shadow1").style.visibility = "visible";
        $$("shadow2").style.visibility = "visible";
    }
	setTranslate(moveX,0);
}	

/**
 *  触摸结束事件
 * @param {Object} evt
 */
function endHandler(evt){
    evt.preventDefault();
    lastMove = moveX;
	//点击事件
	if(Math.abs(currentMoveX) == 0){
		clickMenu(evt);
	}
}

/**
 *  根据距离横向移动
 * @param {Object} moveX
 * @param {Object} animalTime 移动的动画时间长度
 */
function setTranslate(moveX,animalTime){
	console.log("标题moveX:" + moveX);
	var divObj = document.querySelectorAll(".fontcolor");
    for (var i = 0; i < divObj.length; i++) {
            divObj[i].style.webkitTransition = '-webkit-transform '+animalTime+'s ease-out';
            divObj[i].style.webkitTransform = 'translate3d(' + moveX + 'px, 0, 0)';
    }
}


/**
 *  处理头部菜单点击事件
 * @param {Object} e
 */
function clickMenu(e){
	 var indexId = e.target.getAttribute("index");
	 console.log("indexId:" + indexId);
	 if(indexId){
	 	var clickObj = $$("subTitle").querySelectorAll(".fontcolor");
		for (var i = 0; i < clickObj.length; i++) {
	         clickObj[i].className = "tx-c uinn-hnfn1 ulev-app1 title-height fontcolor";
	         if (i == indexId) {
	              clickObj[i].className = "tx-c uinn-hnfn1 ulev-app1 title-height fontcolor titleChecked";
	         }
	    }
		var newsType = e.target.getAttribute("tp");
		var hassub = e.target.getAttribute("hasSub");
		var titleId = e.target.getAttribute("titleId");
		setstorage("titleType",newsType);
		setstorage("titleHasSubMenu",hassub);
		setstorage("titleId",titleId);
		//testI = indexId;
		ueppscript("", "content", "changeTab('" + indexId + "')");
	}
}


/**
 * 暂时废弃该方法
 *  绑定点击事件
 */
function bindClick(){
	console.log("绑定点击事件");
    var clickObj = $$("subTitle").querySelectorAll(".fontcolor");
    for (var i = 0; i < clickObj.length; i++) {
        	clickObj[i].addEventListener("click", function(e){
            var indexId = e.target.getAttribute("index");
			console.log("indexId:" + indexId);
			if(indexId){
				for (var i = 0; i < clickObj.length; i++) {
	                clickObj[i].className = "tx-c uinn-hnfn1 ulev-app1 title-height fontcolor";
	                if (i == indexId) {
	                    clickObj[i].className = "tx-c uinn-hnfn1 ulev-app1 title-height fontcolor titleChecked";
	                }
	            }
				var newsType = e.target.getAttribute("tp");
				var hassub = e.target.getAttribute("hasSub");
				var titleId = e.target.getAttribute("titleId");
				setstorage("titleType",newsType);
				setstorage("titleHasSubMenu",hassub);
				setstorage("titleId",titleId);
	            ueppscript("", "content", "changeTab('" + indexId + "')");
			}
        });
    }
}







/**
 *  从本地加载菜单
 */
function loadTitleFromLocal(){
		var titleTotalLength = getstorage("titleTotalLength");
		console.log("titleTotalLength:" + titleTotalLength);
		if(titleTotalLength){
			$$("subTitle").innerHTML = getstorage("titleHtml");
			sliderTitle();
		}
		
}


 var weatherArr = new Array();
    weatherArr["yujiaxue"] = "wi-day-rain-wind";
    weatherArr["xiaoyu"] = "wi-day-rain-wind";
    weatherArr["zhongyu"] = "wi-day-rain-wind";
    weatherArr["dayu"] = "wi-day-rain-wind";
    weatherArr["baoyu"] = "wi-day-rain-wind";
    weatherArr["dabaoyu"] = "wi-day-rain-wind";
    weatherArr["tedabaoyu"] = "wi-day-rain-wind";
    weatherArr["zhenxue"] = "wi-day-snow";
    weatherArr["xiaoxue"] = "wi-day-snow";
    weatherArr["zhongxue"] = "wi-day-snow";
    weatherArr["daxue"] = "wi-day-snow";
    weatherArr["baoxue"] = "wi-day-snow";
    weatherArr["wu"] = "wi-hot";
    weatherArr["dongyu"] = "wi-day-rain";
    weatherArr["main"] = "wi-day-cloudy";
    weatherArr["yin"] = "wi-day-cloudy";


/**
 * 获取天气 
 */
function getWeather(){
    
    // 通过定位获取用户所在城市天气
    uexLocation.openLocation();
	
    uexLocation.onChange = function(lat, log){
        // 定位成功后，关闭定位，防止重新获取
        uexLocation.closeLocation();
		getWeatherData(log+","+lat,"");
		
		
		
//        var weatherInfo = {};
//        var url="http://"+baseIp+"/news-client/client/mainClient/getWeather?appname=newsapp&parameters=" + log + "," + lat;
//        _$$.getJSON(url,function(data){
//            weatherInfo.currentCity = data.results[0].currentCity;
//            weatherInfo.weather = data.results[0].weather_data[0].weather;
//            weatherInfo.temperature = data.results[0].weather_data[0].temperature;
//            weatherInfo.urlicon = data.results[0].weather_data[0].dayPictureUrl;
//            
//            var urlicon = weatherInfo.urlicon;
//            urlicon = urlicon.substring(urlicon.lastIndexOf('/') + 1, urlicon.lastIndexOf('.'));
//            
//            if(weatherArr[urlicon] != undefined){
//                $$("urlicon").className = "wi " + weatherArr[urlicon];
//            }else{
//                $$("urlicon").className = "wi " + weatherArr["main"];
//            }
//            
//            $$("weather").innerHTML = weatherInfo.weather;
//            $$("temperature").innerHTML = weatherInfo.temperature;
//            
//        });
    }
}


/**
 *  根据经纬度或者城市来获取天气信息
 *  注意中文的问题
 * @param {Object} cityName 县级城市名称 第1次进入时由appcan定位，其实是市级
 * @param {Object} pcityName 当前县级的父级城市名称
 */
function getWeatherData(cityName,pcityName){
		try{
	        var weatherInfo = {};
	        
	        var thecity = cityName;
	        if(pcityName)thecity = pcityName;//如果父级存在，表示不是第1次进入，则查询的实际是父级的天气
	        
	        var tempcity = thecity;
	        if(thecity.indexOf(",")==-1){
	            //是汉字才编码，兼容IOS
	            tempcity = encodeURIComponent(thecity);
	        }
	        
	        var url="http://"+baseIp+"/news-client/client/mainClient/getWeather?appname=newsapp&parameters=" + tempcity;

	        _$$.getJSON(url,function(data){
	           if(data.error=="-3"){
                    $$("weather").innerHTML = cityName;
                    $$("temperature").innerHTML = "暂无天气信息";
                    
                    setLocVal("nowcity",cityName);
                    setLocVal("pnowcity",pcityName);
                    return;
                }
                
				weatherInfo.currentCity = data.results[0].currentCity;
			    weatherInfo.weather = data.results[0].weather_data[0].weather;
				weatherInfo.temperature = data.results[0].weather_data[0].temperature;
	            weatherInfo.urlicon = data.results[0].weather_data[0].dayPictureUrl;
	            var urlicon = weatherInfo.urlicon;
	            urlicon = urlicon.substring(urlicon.lastIndexOf('/') + 1, urlicon.lastIndexOf('.'));
	            if(weatherArr[urlicon] != undefined){
	                $$("urlicon").className = "wi " + weatherArr[urlicon];
	            }else{
	                $$("urlicon").className = "wi " + weatherArr["main"];
	            }
	            
	            var curcity = weatherInfo.currentCity;//由百度返回的城市名称
	            if(pcityName)curcity = cityName;//如果父级存在，说明不是第1次进入，则显示县级名称
	            $$("weather").innerHTML = curcity;
	            $$("temperature").innerHTML = weatherInfo.weather+"/"+weatherInfo.temperature;
	            
	            setLocVal("nowcity",curcity);
	            setLocVal("pnowcity",pcityName);
	            return;
	        });
		}catch(ex){
			alert(ex);
		}
		$$("weather").innerHTML = "定位中...";
        $$("temperature").innerHTML = " ";
        clearLocVal("nowcity");
        clearLocVal("pnowcity");
}

function getWeather0(cityName,pName){
    var p = trim(pName);
    //如果父级名==这些州，是得不到天气的，所以把父级就设为县级来查询县级的天气
    if(p=="阿坝藏族羌族自治州" || p=="甘孜藏族自治州" || p=="凉山彝族自治州")pName = cityName;
    getWeatherData(cityName,pName);
}

 /**
  *打开城市定位页面
  *  */
 function inCity(){
    uexWindow.open("city",0,"../city/city.html",2,"","",0);
}


/**
 *  首页底部菜单切换的时候，对新闻主页面进行滑动
 */
function reloadByIndexPageChange(){
	 	var indexId = 0
	 	console.log("indexId:" + indexId);
	 	var clickObj = $$("subTitle").querySelectorAll(".fontcolor");
		for (var i = 0; i < clickObj.length; i++) {
	         clickObj[i].className = "tx-c uinn-hnfn1 ulev-app1 title-height fontcolor";
	         if (i == indexId) {
	              clickObj[i].className = "tx-c uinn-hnfn1 ulev-app1 title-height fontcolor titleChecked";
	         }
	    }
		var newsType = clickObj[0].getAttribute("tp");
		var hassub = clickObj[0].getAttribute("hasSub");
		var titleId = clickObj[0].getAttribute("titleId");
		setstorage("titleType",newsType);
		setstorage("titleHasSubMenu",hassub);
		setstorage("titleId",titleId);
		console.log("AAAnewsType:" +newsType + "   hasSub:" + hassub + "  titleId:" + titleId);
		//ueppscript("", "content", "changeTab('" + indexId + "')");
}
