/**
 *  下拉刷新
 */

/**
 *  首页图片滑动
 */

var PullRefresh = function(selector,down,up){
	this.dom = selector;
	//起点Y
	this.startY= 0;
	//上一次移动的距离
	this.currentMoveY = 0;
	//当前移动的距离
	this.moveY = 0;
	//回调函数
	this.down = down;
	this.up = up;
	this.init();
}

/**
 *  定义一些方法
 */
PullRefresh.prototype = {
	init:function(){
		//this.destroy();
		var outer = document.querySelector(this.dom);
		outer.addEventListener('touchstart', this,false);
		outer.addEventListener('touchmove', this,false);
		outer.addEventListener('touchend', this,false);
	},
	
	handleEvent: function(event) {
		switch (event.type) {
			case 'touchstart':
				this.startHandler(event);
				break;
			case 'touchmove':
				this.moveHandler(event);
				break;
			case 'touchend':
				this.endHandler(event);
				break;	
		}
	},
	
	startHandler:function(event){
		this.startY =  event.touches[0].pageY;
	},
	
	moveHandler:function(event){
		this.moveY = event.touches[0].pageY - this.startY;
		
		if(Math.abs(this.moveY) > 0){
			appLog("阻止横向滑动...........");
			event.preventDefault();
	        event.stopPropagation();
		}
		
		appLog("pull refresh ==============this.moveY:" + this.moveY);
		
		if(this.moveY > 0 && this.moveY >= 50){
			this.moveY = 50;
		}

		document.querySelector(this.dom ).style.webkitTransition = '-webkit-transform 0s';
		document.querySelector(this.dom ).style.webkitTransform = 'translate3d(0px, ' + this.moveY + 'px, 0)';
	},
	
	endHandler:function(event){
		
		
		
		
		
		
	}
	
	
}
