//左右拖动

//需要添加触摸事件

//var outer = document.querySelectorAll("#sliderList .mySlider");
//console.log(outer.length);
//for(var i = 0;i<outer.length;i++){
//	outer[i].addEventListener('touchstart', startHandler);
//	outer[i].addEventListener('touchmove', moveHandler);
//	outer[i].addEventListener('touchend', endHandler);
//}


var outer = document.querySelector("#sliderList");
outer.addEventListener('touchstart', startHandler);
outer.addEventListener('touchmove', moveHandler);
outer.addEventListener('touchend', endHandler);







//每个滑动的页面，整体
var divSilder = document.querySelectorAll("#sliderList .ub-fh");
//每个页面宽度
var pageWidth = divSilder[0].offsetWidth;
//总共有多少个
var maxPoint = divSilder.length;
//当前是第几个,从0开始
var currentPoint = 0;




//手指开始位置
var startX = 0;

//移动距离
var moveX = 0;

//记录上一次滑动的距离
var currentMoveX = 0;

/**
 *  触摸开始
 * @param {Object} event
 */
function startHandler(event){
	startX = event.touches[0].pageX;
}

/**
 *  触摸移动
 * @param {Object} event
 */
function moveHandler(event){
	
	
	moveX = event.touches[0].pageX - startX;
	if(moveX != 0){
		event.preventDefault();
		event.stopPropagation();
	}
	
	
	var realMoveX = currentMoveX + moveX;
	//console.log("当前滑动了:" + realMoveX);
	
//	for (var i = 0; i < divSilder.length; i++) {
//		divSilder[i].style.webkitTransform = 'translate3d(' + realMoveX + 'px, 0, 0)';
//	}

outer.style.webkitTransition = '-webkit-transform 0s';
outer.style.webkitTransform = 'translate3d(' + realMoveX + 'px, 0, 0)';

	
	
}

/**
 * 触摸结束
 * @param {Object} event
 */
function endHandler(event){
	console.log("移动了" + moveX);
	//从右往左边滑动
	if(moveX < 0){
		currentPoint++;
		moveX = -(pageWidth * currentPoint);
		//判断是不是到结尾了
		if(currentPoint >= maxPoint){
			currentPoint = maxPoint;
			moveX = -(pageWidth * (currentPoint-1));
			currentPoint--;
		}
	
	//从左边往右边滑动		
	}else{
		currentPoint--;
		moveX = -pageWidth * currentPoint;
		//判断是不是到了第一个
		if(currentPoint < 0){
			currentPoint = 0;
			moveX = 0;
		}
	}
	
	console.log("当前对于的版块:" + currentPoint);
	
	
	currentMoveX = moveX;
	
	console.log("最终移动:" + moveX);
	
//		for (var i = 0; i < divSilder.length; i++) {
//				divSilder[i].style.webkitTransform = 'translate3d(' + moveX + 'px, 0, 0)';
//		}
	
	outer.style.webkitTransition = '-webkit-transform 0.2s';
	outer.style.webkitTransform = 'translate3d(' + moveX + 'px, 0, 0)';
	
	moveTabTitle(currentPoint);

}




function moveTabTitle(indexId){
    var divSilder = document.querySelectorAll("#sliderList .ub-fh");
    var divContext = divSilder[indexId].querySelector(".mySlider").innerHTML;
    if (!divContext || divContext.replace(/(^\s*)|(\s*$)/g, "") == "") {
        console.log("加载进度条");
        Load.loadById("loadingDiv" + (indexId + 1), $$("newsContent").offsetHeight);
    }
    console.log("indexId:" + (indexId + 1));
    setTimeout(function(){
        showData("slider" + (indexId + 1), "newsList" + (indexId + 1));
        $$("loadingDiv" + (indexId + 1)).innerHTML = "";
    }, 1000);
    
    uescript("", "changeColumnChecked(" + indexId + ")");
}
