 var weatherArr = new Array();
    weatherArr["yujiaxue"] = "wi-day-rain-wind";
    weatherArr["xiaoyu"] = "wi-day-rain-wind";
    weatherArr["zhongyu"] = "wi-day-rain-wind";
    weatherArr["dayu"] = "wi-day-rain-wind";
    weatherArr["baoyu"] = "wi-day-rain-wind";
    weatherArr["dabaoyu"] = "wi-day-rain-wind";
    weatherArr["tedabaoyu"] = "wi-day-rain-wind";
    weatherArr["zhenxue"] = "wi-day-snow";
    weatherArr["xiaoxue"] = "wi-day-snow";
    weatherArr["zhongxue"] = "wi-day-snow";
    weatherArr["daxue"] = "wi-day-snow";
    weatherArr["baoxue"] = "wi-day-snow";
    weatherArr["wu"] = "wi-hot";
    weatherArr["dongyu"] = "wi-day-rain";
    weatherArr["main"] = "wi-day-cloudy";
    weatherArr["yin"] = "wi-day-cloudy";
    weatherArr["zhenyu"] = "wi-day-rain-wind";


/**
 * 获取天气 
 */
function getWeather(){
    // 通过定位获取用户所在城市天气
    uexLocation.openLocation();
    uexLocation.onChange = function(lat, log){
        // 定位成功后，关闭定位，防止重新获取
        uexLocation.closeLocation();
        setLocVal("logLat", log + "," + lat);
        getWeatherData(log+","+lat,"");
    }
}


/**
 *  根据经纬度或者城市来获取天气信息
 *  注意中文的问题
 * @param {Object} cityName 县级城市名称 第1次进入时由appcan定位，其实是市级
 * @param {Object} pcityName 当前县级的父级城市名称
 */
function getWeatherData(cityName,pcityName){
        try{
            var weatherInfo = {};
            
            var thecity = cityName;
            if(pcityName)thecity = pcityName;//如果父级存在，表示不是第1次进入，则查询的实际是父级的天气
            
            var tempcity = thecity;
            if(thecity.indexOf(",")==-1){
                //是汉字才编码，兼容IOS
                tempcity = encodeURIComponent(encodeURIComponent(thecity));
            }
            
            var url="http://"+baseIp+"/news-app/client/mainClient/getWeather?appname=newsapp&parameters=" + tempcity;

            _$$.getJSON(url,function(data){
               if(data.error=="-3"){
                    $$("weather").innerHTML = cityName;
                    $$("temperature").innerHTML = "暂无天气信息";
                    
                    setLocVal("nowcity",cityName);
                    setLocVal("pnowcity",pcityName);
                    return;
                }
                
                weatherInfo.currentCity = data.results[0].currentCity;
                weatherInfo.weather = data.results[0].weather_data[0].weather;
                weatherInfo.temperature = data.results[0].weather_data[0].temperature;
                weatherInfo.urlicon = data.results[0].weather_data[0].dayPictureUrl;
                var urlicon = weatherInfo.urlicon;
                urlicon = urlicon.substring(urlicon.lastIndexOf('/') + 1, urlicon.lastIndexOf('.'));
                if(weatherArr[urlicon] != undefined){
                    $$("urlicon").className = "wi " + weatherArr[urlicon];
                }else{
                    $$("urlicon").className = "wi " + weatherArr["main"];
                }
                
                var curcity = weatherInfo.currentCity;//由百度返回的城市名称
                if(pcityName)curcity = cityName;//如果父级存在，说明不是第1次进入，则显示县级名称
                $$("weather").innerHTML = curcity;
                $$("temperature").innerHTML = weatherInfo.temperature;
                
                setLocVal("nowcity",curcity);
                setLocVal("currentLocation",curcity);
                setLocVal("pnowcity",pcityName);
                return;
            });
        }catch(ex){
            alert(ex);
        }
        $$("weather").innerHTML = "定位中...";
        $$("temperature").innerHTML = " ";
        clearLocVal("nowcity");
        clearLocVal("currentLocation");
        clearLocVal("pnowcity");
}

function getWeather0(cityName,pName){
    var p = trim(pName);
    //如果父级名==这些州，是得不到天气的，所以把父级就设为县级来查询县级的天气
    if(p=="阿坝藏族羌族自治州" || p=="甘孜藏族自治州" || p=="凉山彝族自治州")pName = cityName;
    getWeatherData(cityName,pName);
}

 /**
  *打开城市定位页面
  *  */
 function inCity(){
     //安卓才能定位
         uexWindow.open("city",0,"../city/city.html",2,"","",0);
}