iQuickUI.define("moduleLoad", ["baseCore"], function(baseCore){
	
	/**
	 * 打开遮罩层
	 */
	var make = function(id){
		var winModal = document.createElement("div");
		winModal.id = "winModal";
		
		var loadInfo = document.createElement("div");
		loadInfo.id = "loadInfo";
		
		var body = document.getElementsByTagName("body")[0];
		body.appendChild(winModal);
		body.appendChild(loadInfo);
	}
	
	/**
	 * 关闭遮罩层
	 */
	var unmake = function(){
		var body = document.getElementsByTagName("body")[0];
		var winModal = document.getElementById("winModal");
		var loadInfo = document.getElementById("loadInfo");
		
		body.removeChild(winModal);
		body.removeChild(loadInfo);
	}
	
	return{
		make:make,
		unmake:unmake
	}
});