/**
 *  index_content 数据加载
 */

//总个数
var titleTotalLength = getstorage("titleTotalLength");

//是否为最新的新闻标示   //暂时不需要现在new标签，去掉<span class="newsTips">new</span>
var isNewHtml = '';

//视频标签
var vedioIcon = 'vedio-icon';

//新闻标签
var newsIcon = 'news-icon';

//图集标签   //去掉图集的图标pic-icon
var picIcon = '';

var ContentData = {
	init:function(){
		this.loadBase();
		if(titleTotalLength > 0){
				showData("slider1","newsList1");	
			}
		
	},
	//显示基本框架
	loadBase:function(){
		var html = "";
		var tempHtml = '<div class="ub-fh" id="myPage${index}">'
					  +'<div id="slider${index}" class="mui-slider" style="height:12em;">'
					  +' </div>'
                	  +'<div id="newsList${index}" class="mySlider" style="width:99%;">'
					  +'</div>'
					//  +'<div id="loadingDiv${index}" style="position: absolute;top: 45%;left: -47%;"></div>'
                	  +'</div>';
		for(var i = 1;i<=titleTotalLength;i++){
			html+= tempHtml.replace(/\${index}/g,i);
		}
		$$("sliderList").innerHTML = html;	
	}
}


/**
 *  获取当前选择的菜单信息,作为加载数据的依据
 * @param {Object} indexId
 */
function getCurrentCheckedData(indexId){
	
	var titleColumn = getstorage("titleColumns");
	var json  = str2json(titleColumn);
	
    //滑动新闻内容后在这里保存信息
    var newsType = json.list[indexId].type;
    var hassub = json.list[indexId].hassub;
    var titleId = json.list[indexId].id;
    console.log("indexId:" + indexId + "     newsType:" + newsType + "    hassub:" + hassub + "    titleId:" + titleId);
    setstorage("titleType", newsType);
    setstorage("titleHasSubMenu", hassub);
    setstorage("titleId", titleId);
}


/**
 *  根据ID 来显示对应数据
 * @param {Object} objId
 */
function showData(sliderId,newsListId,callBack){
	appLog("load data..................." + sliderId +  "    " + newsListId);
	
	setstorage("sliderId",sliderId);
	setstorage("newsListId",newsListId);
	
	
	
	
	//新闻类型，2为专题
	var newsType = getstorage("titleType");
	//是否有子新闻
	var hassub = getstorage("titleHasSubMenu");
	//当前新闻标题的ID，加载新闻根据该ID来加载
	var titleId = getstorage("titleId");
	
	//没有二级菜单，直接获取新闻列表
	if(hassub == '0'){
		//直接获取该专题的新闻列表
		if(newsType == 2){
			doConnectToServerForCheckCacheWithcallBack("getZtNewsListForCheckCahche",titleId + "," + 1,serverCallback,callBack);	
		}else{
			//获取该新闻
			doConnectToServerForCheckCacheWithcallBack("getnewslistForCount",titleId + "," + 1,serverCallback,callBack);	
		}
	}else{
		doConnectToServerWithcallBackByZt("getNewsFoeBaner",titleId,processNewsListWithSub,callBack);
	}
}

/**
 *  处理专题栏目头部图片信息
 * @param {Object} json
 * @param {Object} callBack
 */
function processNewsListWithSub(json,callBack){
	var length = 0;
	if(json.list){
		//设置分页信息
		var sliderId = getstorage("sliderId");
		setstorage("page" + sliderId,"1");
		length = json.list.length;
	}else{
		if(callBack){
			callBack();		
		}
		
	}
	if(length > 0){
		newsCarouselMe(json);
		var titleId = getstorage("titleId");
		var pa = areaId + "," + titleId + ",1";
		doConnectToServerWithcallBackByZt("getappcolumns",pa,processSubMenu,callBack);
		
	}	
}

/**
 *  处理专题列表
 * @param {Object} json
 * @param {Object} callBack
 */
function processSubMenu(json,callBack){
	var newsListId = getstorage("newsListId");
	var html = "";
	var tmpl = '<div class="ub ub-f1 uinn-for1 ubb b-gra4" onclick="openZhuantiList(${newsid},${newsType});">'
				+'	<div class="ub-img uwh-for2 mar-ar1"><img src="../css/project/images/onload2.png" onload="netImgShow(\'${pic}\',\'subNewsPicId_${newsid}\');" id="subNewsPicId_${newsid}" class="uwh-for2" style="background:url(../css/project/images/load-lit.png) #eee center no-repeat;"></div>'
				+'	<div class="ub-f1 ub ub-ver">'
				+'		<div class="ulev-app1 t-gra3 ulh-for">${titles}</div>'
				+'	</div>'
				+'</div>';
				
	//没有缩略图的新闻			
	var noPicTmpl = '<div class="ub ub-f1 uinn-for1 ubb b-gra4" onclick="openZhuantiList(${newsid},${newsType});">'
					+'	<div class="ub-f1 ub ub-ver">'
					+'		<div class="ulev-app1 t-gra3 ulh-for">${titles}</div>'
					+'	</div>'
					+'</div>';			
	
	for (var i = 0; i < json.list.length; i++) {
		if (json.list[i].imgpath == null || json.list[i].imgpath == "") {
			html+= noPicTmpl.replace(/\${newsid}/g,json.list[i].id).replace(/\${titles}/g,convertJsToHtml(json.list[i].name)).replace(/\${pic}/g,json.list[i].imgpath).replace(/\${newsType}/g,json.list[i].type);
		}else{
			html+= tmpl.replace(/\${newsid}/g,json.list[i].id).replace(/\${titles}/g,convertJsToHtml(json.list[i].name)).replace(/\${pic}/g,json.list[i].imgpath).replace(/\${newsType}/g,json.list[i].type);
		}
	}
	var d = document.createElement('DIV');
  	d.innerHTML=html;
	console.log("html:" + html);
	$$(newsListId).innerHTML = "";
	$$(newsListId).appendChild(d);
	if(callBack){
		callBack();
	}
	resetBottomHeight();
	$$("loadingDiv").innerHTML = "";	
}



/**
 *  获取专题列表信息
 */
function openZhuantiList(newsId,newsType){
	
			//新闻类型，2为专题
	setstorage("titleType",newsType);
	//是否有子新闻
	setstorage("titleHasSubMenu",0);
	//当前新闻标题的ID，加载新闻根据该ID来加载
	setstorage("titleId",newsId);
	
		//直接获取该专题的新闻列表
		if(newsType == 2){
			doConnectToServerForCheckCacheWithcallBack("getZtNewsListForCheckCahche",newsId + "," + 1,serverCallback);	
		}else{
			//获取该新闻
			doConnectToServerForCheckCacheWithcallBack("getnewslistForCount",newsId + "," + 1,serverCallback);	
		}
}





/**
 * 处理新闻列表数据
 * @param {Object} json
 * @param isReload  是否从服务器加载数据，对比本地与服务器的条数，如果不一样，那么该值为true，否则为false
 */
function serverCallback(json,callback,isReload){
	var length = 0;
	if(json.list){
		//设置分页信息
		var sliderId = getstorage("sliderId");
		setstorage("page" + sliderId,"1");
		length = json.list.length;
	}else{
		if(callback){
			callback();		
		}
		
	}
	
	//如果是加载的真实数据，那么缓存不变
	if(isReload){
		
	}
	
	if(length > 0){
		newsCarouselMe(json);
		newsList(json,callback);
	}
	resetBottomHeight();
	$$("loadingDiv").innerHTML = "";	
}

/**
 *  重新设置底部高度
 */
function resetBottomHeight(){
    
	var sliderId = getstorage("sliderId");
	var newsListId = getstorage("newsListId");
	var totalHeight = $$(sliderId).offsetHeight + $$(newsListId).offsetHeight;
	$$("sliderList").style.height = totalHeight + 'px';
}


//轮播图片的最大个数
var sliderMaxPic = 5;

/**
 *  轮换图
 *  最新需求
 *  根据ishot字段来判断是否为轮换图，顺序按降序排列，如果ishot都为0，那么只取一张图片
 * @param {Object} sliderId
 */
function newsCarouselMe(json){
	
	sliderId = getstorage("sliderId");
	var divHeight = $$(sliderId).offsetHeight;
	
	var html = '<div class="mui-slider-group mui-slider-loop">';
	
	var picTempHtml = '<div class="mui-slider-item">'
					+'	<a href="javascript:openNewsDetail(${newsid},${newsType},${replycount},\'${titles}\',\'${newsIntro}\',\'${topPic}\');">'
					+'		<img  src="../css/project/images/onload2.png" onload="netImgShow(\'${topPic}\',\'topPic_${newsid}_${tpId}\');" id="topPic_${newsid}_${tpId}" height="'+divHeight+'px" isImg="yes" style="background:url(../css/project/images/load-big.png) #eee center no-repeat;">'
					+'		<p class="mui-slider-title slider-font-color ut-s">${simpletitle}</p>'
					+'	</a>'
					+'</div>';
	var pointHtml = '<div class="mui-slider-indicator mui-text-right">';
	
	
	var sliderHtml = "";
	var k = -1;
	
	console.log("json.list[0].ishot:" + json.list[0].ishot);
	if(json.list[0].ishot == "0"){
			sliderMaxPic = 1;
			console.log("没有选择图片作为轮播，默认显示一张");
	}
	
	for(var i = 0;i<sliderMaxPic && i<json.list.length;i++){
			
			if(json.list[i].ishot == "0" && sliderMaxPic != 1){
				sliderMaxPic = i;
				break;
			}
			
			
			
			k++;
			sliderHtml += picTempHtml.replace(/\${newsid}/g,json.list[i].id).replace(/\${simpletitle}/g,convertJsToHtml(json.list[i].simpletitle)).replace(/\${titles}/g,convertJsToHtml(json.list[i].title)).replace(/\${replycount}/g,json.list[i].replys).replace(/\${pic}/g,json.list[i].imgpath1).replace("${newsType}",json.list[i].type).replace(/\${tpId}/g,json.list[i].id).replace("${newsIntro}",json.list[i].intro).replace(/\${topPic}/g, json.list[i].orgimgpath1);
			if(i == 0){
				pointHtml +='<div class="mui-indicator mui-active"></div>';
			}else{
				pointHtml +='<div class="mui-indicator"></div>';
			}
	}
	
	console.log("sliderMaxPic:" + sliderMaxPic);
	
	//自动轮播，最后需要添加第一张图片信息
	try{
		
		html += picTempHtml.replace(/\${newsid}/g,json.list[k].id).replace(/\${titles}/g,convertJsToHtml(json.list[k].title)).replace(/\${replycount}/g,json.list[k].replys).replace(/\${pic}/g,json.list[k].imgpath1).replace("${newsType}",json.list[k].type).replace(/\${tpId}/g,'789').replace("${newsIntro}",json.list[k].intro).replace(/\${topPic}/g, json.list[k].orgimgpath1);
		
		html +=sliderHtml;
		
		html += picTempHtml.replace(/\${newsid}/g,json.list[0].id).replace(/\${titles}/g,convertJsToHtml(json.list[0].title)).replace(/\${replycount}/g,json.list[0].replys).replace(/\${pic}/g,json.list[0].imgpath1).replace("${newsType}",json.list[0].type).replace(/\${tpId}/g,'987').replace("${newsIntro}",json.list[0].intro).replace(/\${topPic}/g, json.list[0].orgimgpath1);
	}catch(e){
		//ignore
	}
	
	
	
	
	
	html+="</div>";
	html+=pointHtml + "</div>";
	
	$$(sliderId).innerHTML=html;
	
	var delayTime = 6000;
	if(sliderMaxPic == 1){
		delayTime = 0;
	}
	mui("#" +sliderId).slider({
			slideshowDelay: delayTime
	});
		
		
}




//新闻列表
function newsList(json,callback){
	
	var newsListId = getstorage("newsListId");
	
	var html = "";
	var tmpl = '<div class="ub ub-f1 uinn-for1 ubb b-gra4" onclick="openNewsDetail(${newsid},${newsType},${replycount},\'${titles}\',\'${newsIntro}\',\'${topPic}\');">'
				+'	<div class="ub-img uwh-for2 mar-ar1"><img src="../css/project/images/onload2.png" onload="netImgShow(\'${pic}\',\'newsPicId_${newsid}\');" id="newsPicId_${newsid}" class="uwh-for2" style="background:url(../css/project/images/load-lit.png) #eee center no-repeat;"></div>'
				+'	<div class="ub-f1 ub ub-ver">'
				+'		<div class="t-gra3 ulh-for" style="font-size:1em;">${isNew}&nbsp;${simpletitle}</div>'
				+'		<div class="t-gra-b1 ulh-for uh-for2 uof" style="font-size:.85em;">${newsIntro}</div>'
				
				
				//+' 	<div class="ulev-4 t-gra-b1   reply-font-color">${isNew}<span style="float:right" id="${newsid}_replys_span">${clickCount}阅读&nbsp;&nbsp;${replycount}回复<span></div>'
				
				
				+' 	<div class="t-gra-b1 reply-font-color"  style="font-size:.85em;">'
				+'	<ul class=" ub t-bla ub-ac umar-FP1 ">'
				+'			<li class="icon-style ub-img ${newsIcon}"></li>'
				+'				<li class="ub-f1">'
				+'					${biaoqian}<span style="float:right;padding:.2em;" class="reply-font-color">${clickCount}阅读</span>'
				+'			   </li>'
				+'	</ul>'
				+' </div>'
				
				
				
				+'	</div>'
				+'</div>';
				
	//没有缩略图的新闻			
	var noPicTmpl = '<div class="ub ub-f1 uinn-for1 ubb b-gra4" onclick="openNewsDetail(${newsid},${newsType},${replycount},\'${titles}\',\'${newsIntro}\',\'${topPic}\');">'
					
					+'	<div class="ub-f1 ub ub-ver">'
					+'		<div class="t-gra3 ulh-for" style="font-size:1em;">${isNew}&nbsp;${simpletitle}</div>'
					+'		<div class="t-gra-b1 ulh-for uh-for2 uof" style="font-size:.85em;">${newsIntro}</div>'
					//+' 	<div class="ulev-4 t-gra-b1   reply-font-color">${isNew}<span style="float:right" id="${newsid}_replys_span">${clickCount}阅读&nbsp;&nbsp;${replycount}回复<span></div>'
					
					
					
					+' 	<div class="t-gra-b1 reply-font-color" style="font-size:.85em;">'
					+'	<ul class=" ub t-bla ub-ac umar-FP1 ">'
					+'			<li class="icon-style ub-img ${newsIcon}"></li>'
					+'				<li class="ub-f1">'
					+'					${biaoqian}<span style="float:right;padding:.2em;" class="reply-font-color">${clickCount}阅读</span>'
					+'			   </li>'
					+'	</ul>'
					+' </div>'
					
					
					+'	</div>'
					+'</div>';		
					
					
					
        
	//图集新闻            
	var twTemp = ' <ul class=" ub t-bla ub-ac umar-FP1 " style="margin-left:1em;margin-top:.5em;margin-bottom:.3em">'
//               +'          <li class="icon-style ub-img ${newsIcon}"></li>'
                 + '${simpletitle}'
//                +'              <li class="ub-f1">'
//                +'                  <span style="float:right;" class="reply-font-color" id="${newsid}_replys_span">${clickCount}阅读&nbsp;&nbsp; ${replycount}回复</span>'
//                +'             </li>'
                +'</ul>'


            + '<ul ontouchstart="zy_touch(\'btn-act\')" class="uc-t c-m2  ub b-gra t-bla ub-ac lis uinn-for1  b-gra4" style="padding:0;padding-top:0.3em;padding-bottom:0.1em;" onclick="openNewsDetail(${newsid},${newsType},${replycount},\'${titles}\',\'${newsIntro}\',\'${imgPath1}\')">'
            +'<ul class="ub-f1 ub ub-ver tx-c tj_ul">'
                +'<li class="ub-img news_list_tj"><img src="../css/project/images/onload2.png" onload="netImgShow(\'${pica}\',\'newsPicId_a_${newsid}\');" id="newsPicId_a_${newsid}" class="uwh-for3" style="background:url(../css/project/images/load-lit.png) #eee center no-repeat;" ></li>'
            +'</ul>'
            +'<ul class="ub-f1 ub ub-ver tx-c tj_ul">'
                +'<li class=" ub-img news_list_tj" ><img src="../css/project/images/onload2.png" onload="netImgShow(\'${picb}\',\'newsPicId_b_${newsid}\');" id="newsPicId_b_${newsid}" class="uwh-for3" style="background:url(../css/project/images/load-lit.png) #eee center no-repeat;" ></li>'
            +'</ul>'
            +'<ul class="ub-f1 ub ub-ver tx-c tj_ul">'
                +'<li class=" ub-img news_list_tj"><img src="../css/project/images/onload2.png" onload="netImgShow(\'${picc}\',\'newsPicId_c_${newsid}\');" id="newsPicId_c_${newsid}" class="uwh-for3" style="background:url(../css/project/images/load-lit.png) #eee center no-repeat;" ></li>'
            +'</ul>'
         +'</ul><div class="biaoqiandiv">${biaoqian}<span style="float:right;padding:.2em;" class="reply-font-color">${clickCount}阅读</span></div><div style="clear:both"></div><div class="ub ub-f1  ubb b-gra4" style="margin-top:.4em;margin-left:0.625em;margin-right:0.625em;"></div>'  ;
         				
	
	for (var i = sliderMaxPic; i < json.list.length; i++) {
		
		var label = json.list[i].label_type;
		if(!label || label=='null')label="";
        else if(json.list[i].type=="2"){
            label = '<span class="biaoqian2">'+label+'</span>';
        }
        else{
            label = '<span class="biaoqian">'+label+'</span>';
        }
		if(json.list[i].type == "2"){
		    if(!label)label='<span class="biaoqian2_null"></span>';
			html+= twTemp.replace(/\${clickCount}/g,json.list[i].click).replace(/\${newsid}/g,json.list[i].id).replace(/\${titles}/g,convertJsToHtml(json.list[i].title)).replace(/\${simpletitle}/g,convertJsToHtml(json.list[i].simpletitle)).replace(/\${replycount}/g,json.list[i].replys).replace(/\${pica}/g,json.list[i].imgpath1).replace(/\${picb}/g,json.list[i].imgpath2).replace(/\${picc}/g,json.list[i].imgpath3).replace(/\${newsType}/g,json.list[i].type).replace(/\${tpId}/g,json.list[i].id + i).replace(/\${newsIntro}/g,json.list[i].intro).replace(/\${topPic}/g, json.list[i].orgimgpath1).replace(/\${biaoqian}/g,label).replace(/\${imgPath1}/,json.list[i].orgimgpath1);
		}else if (json.list[i].imgpath1 == null || json.list[i].imgpath1 == "") {
			html+= noPicTmpl.replace(/\${clickCount}/g,json.list[i].click).replace(/\${newsid}/g,json.list[i].id).replace(/\${titles}/g,convertJsToHtml(json.list[i].title)).replace(/\${simpletitle}/g,convertJsToHtml(json.list[i].simpletitle)).replace(/\${replycount}/g,json.list[i].replys).replace(/\${pic}/g,json.list[i].imgpath1).replace(/\${newsType}/g,json.list[i].type).replace(/\${tpId}/g,json.list[i].id + i).replace(/\${newsIntro}/g,json.list[i].intro).replace(/\${topPic}/g, json.list[i].orgimgpath1).replace(/\${biaoqian}/g,label);
		}else{
			html+= tmpl.replace(/\${clickCount}/g,json.list[i].click).replace(/\${newsid}/g,json.list[i].id).replace(/\${titles}/g,convertJsToHtml(json.list[i].title)).replace(/\${simpletitle}/g,convertJsToHtml(json.list[i].simpletitle)).replace(/\${replycount}/g,json.list[i].replys).replace(/\${pic}/g,json.list[i].imgpath1).replace(/\${newsType}/g,json.list[i].type).replace(/\${tpId}/g,json.list[i].id + i).replace(/\${newsIntro}/g,json.list[i].intro).replace(/\${topPic}/g, json.list[i].orgimgpath1).replace(/\${biaoqian}/g,label);
		}
		
		//1、新闻 2、图集 3、推广  4、视频
		if(json.list[i].type == "2"){
			html = html.replace(/\${newsIcon}/g,picIcon);
		}else if(json.list[i].type == "4"){
			html = html.replace(/\${newsIcon}/g,vedioIcon);
		}else{
			html = html.replace(/\${newsIcon}/g,newsIcon);
		}
		
		
		
		if(json.list[i].isnew == "1"){
			html = html.replace(/\${isNew}/g,isNewHtml);
		}else{
			html = html.replace(/\${isNew}/g,'');
		}
	}
	
	var d = document.createElement('DIV');
  	d.innerHTML=html;
	$$(newsListId).innerHTML = "";
	$$(newsListId).appendChild(d);
	if(callback){
		callback();
	}
}

function tmpleCb(a, b){
	var str = '';
	switch(b[1]){
		case "mark":
		var arr1 = a['mark'];
		if(arr1[0]==0){
			str += '<div class="ulev-4 t-gra-b1 tx-r umar-t reply-font-color">'+ arr1[1].posts+'回复</div>'
		}else{
			str += '<div class="ub ub-pe umar-t">'
					+'	<div class="ulev-2 t-wh uinn-for2 c-red-for3 uc-a-news ub-pe">专题</div>'
					+'</div>'
		}
		return str;
	}	
}





