//左右拖动

//需要添加触摸事件

var outer = document.querySelectorAll("#sliderList .mySlider");
console.log(outer.length)
for(var i = 0;i<outer.length;i++){
	outer[i].addEventListener('touchstart', startHandler);
	outer[i].addEventListener('touchmove', moveHandler);
	outer[i].addEventListener('touchend', endHandler);
}



//每个滑动的页面，整体
var divSilder = document.querySelectorAll("#sliderList .ub-fh");
//每个页面宽度
var pageWidth = divSilder[0].offsetWidth;
//总共有多少个
var maxPoint = divSilder.length;
//当前是第几个,从0开始
var currentPoint = 0;




//手指开始位置
var startX = 0;

//移动距离
var moveX = 0;

//记录上一次滑动的距离
var currentMoveX = 0;

/**
 *  触摸开始
 * @param {Object} event
 */
function startHandler(event){
	startX = event.touches[0].pageX;
}

/**
 *  触摸移动
 * @param {Object} event
 */
function moveHandler(event){
	try{
		if(event.touches[0].target.parentNode.parentNode.parentNode.parentNode.className == 'mui-slider'){
			return;
		}
	}catch(e){
		//
	}
	
	moveX = event.touches[0].pageX - startX;
	if(moveX != 0){
		event.preventDefault();
		event.stopPropagation();
	}
	
	
	var realMoveX = currentMoveX + moveX;
	console.log("当前滑动了:" + realMoveX);
	
	for (var i = 0; i < divSilder.length; i++) {
		divSilder[i].style.webkitTransition = '-webkit-transform 0.2s';
		divSilder[i].style.webkitBackfaceVisibility = 'hidden';
		divSilder[i].style.webkitTransform = 'translate3d(' + realMoveX + 'px, 0, 0)';
	}
	
//	$$("sliderList").style.webkitTransform = 'translate3d(' + realMoveX + 'px, 0, 0)';
	
	uexLog.sendLog("当前滑动了" + realMoveX);
}

/**
 * 触摸结束
 * @param {Object} event
 */
function endHandler(event){
	console.log("移动了" + moveX);
	//从右往左边滑动
	if(moveX < 0){
		currentPoint++;
		moveX = -(pageWidth * currentPoint);
		//判断是不是到结尾了
		if(currentPoint >= maxPoint){
			currentPoint = maxPoint;
			moveX = -(pageWidth * (currentPoint-1));
			currentPoint--;
		}
	
	//从左边往右边滑动		
	}else{
		currentPoint--;
		moveX = -pageWidth * currentPoint;
		//判断是不是到了第一个
		if(currentPoint < 0){
			currentPoint = 0;
			moveX = 0;
		}
	}
	
	currentMoveX = moveX;
	
//	$$("sliderList").style.webkitTransition = '-webkit-transform 0.2s ease-out';
//	$$("sliderList").style.webkitTransform = 'translate3d(' + moveX + 'px, 0, 0)';
	
	for (var i = 0; i < divSilder.length; i++) {
			divSilder[i].style.webkitBackfaceVisibility = 'hidden';
			divSilder[i].style.webkitTransition = '-webkit-transform 0.2s';
			divSilder[i].style.webkitTransform = 'translate3d(' + moveX + 'px, 0, 0)';
	}
}
